# GPIO Control Library for Jetson Orin Nano and RK3399 Pro

https://github.com/jiangyangcreate/exboard

## Overview

This Python library provides an easy-to-use interface for controlling the GPIO pins on Jetson Orin Nano and RK3399 Pro. It simplifies the process of configuring, reading, and writing GPIO pins, making it suitable for various hardware projects and applications.

## Features

- Support for Jetson Orin Nano and RK3399 Pro platforms.
- Automatic detection of the operating system (Ubuntu or Debian).
- Easy GPIO configuration (input/output).
- Read and write GPIO pin states.
- Clean and simple API.

## Installation

To install the library, you can use `pip`:

```sh
pip install exboard
```